Skip to main content
POST
/
verifications
/
google-locations
/
{google_location_id}
/
complete
Complete Google Location Verification Process
curl --request POST \
  --url https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/complete \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "pin_code": "1234"
}
'
import requests

url = "https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/complete"

payload = { "pin_code": "1234" }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({pin_code: '1234'})
};

fetch('https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": null
}
{
"errors": {
"json": {}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

google_location_id
string
required

Google location unique id on Partoo

Body

application/json
method
enum<string>
Available options:
PHONE_CALL,
SMS,
EMAIL,
ADDRESS
pin_code
string

The PIN code provided by the user during the verification process.

Example:

"1234"

Response

OK

status
string

The status of the response success or error.

Example:

"success"

message
enum<string>

Details of the message. Can be one of the following:

  • complete_success: The verification process has been completed successfully (returned with a success status).
  • complete_in_review: The verification process has been completed successfully but the verification is still in review (returned with a success status).
  • complete_only_pending: The verification process can be completed only on a PENDING verification (returned with a error status).
  • complete_invalid_pin: The PIN code provided is invalid (returned with a error status).
  • complete_error: An error occurred during the completion of the verification process (returned with a error status).
Available options:
complete_success,
complete_in_review,
complete_only_pending,
complete_invalid_pin,
complete_error
Example:

null